Bug 201620 - REGRESSION: [ Catalina WK2 ] http/wpt/webauthn/public-key-credential-create-success-u2f.https.html is failing
Summary: REGRESSION: [ Catalina WK2 ] http/wpt/webauthn/public-key-credential-create-s...
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jiewen Tan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-09-09 16:48 PDT by Jiewen Tan
Modified: 2019-09-11 14:15 PDT (History)
6 users (show)

See Also:


Attachments
Patch (5.82 KB, patch)
2019-09-09 17:38 PDT, Jiewen Tan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jiewen Tan 2019-09-09 16:48:55 PDT
REGRESSION: [ Catalina WK2 ] http/wpt/webauthn/public-key-credential-create-success-u2f.https.html is failing.
Comment 1 Jiewen Tan 2019-09-09 16:49:10 PDT
<rdar://problem/51524958>
Comment 2 Jiewen Tan 2019-09-09 17:38:11 PDT
Created attachment 378420 [details]
Patch
Comment 3 Alex Christensen 2019-09-09 20:37:50 PDT
Comment on attachment 378420 [details]
Patch

This shouldn't change any behavior, but it does introduce an unnecessary Victor copy.
Comment 4 Jiewen Tan 2019-09-10 11:56:11 PDT
(In reply to Alex Christensen from comment #3)
> Comment on attachment 378420 [details]
> Patch
> 
> This shouldn't change any behavior, but it does introduce an unnecessary
> Victor copy.

Where?
Comment 5 Alex Christensen 2019-09-10 14:36:18 PDT
Comment on attachment 378420 [details]
Patch

If this does fix anything, we should definitely fix Vector to prevent other such bugs.  I don't think it will fix anything though, but you're welcome to try.  Please revert if it doesn't fix.
Comment 6 Jiewen Tan 2019-09-10 14:38:36 PDT
Comment on attachment 378420 [details]
Patch

Thanks Alex for r+ it. I will definitely keep the bug open and keep an eye on the bots.
Comment 7 WebKit Commit Bot 2019-09-10 15:28:38 PDT
Comment on attachment 378420 [details]
Patch

Clearing flags on attachment: 378420

Committed r249737: <https://trac.webkit.org/changeset/249737>
Comment 8 WebKit Commit Bot 2019-09-10 15:28:39 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Jiewen Tan 2019-09-10 15:35:05 PDT
Reopened for continuous monitoring bots.
Comment 10 Jiewen Tan 2019-09-11 13:59:12 PDT
(In reply to Alex Christensen from comment #5)
> Comment on attachment 378420 [details]
> Patch
> 
> If this does fix anything, we should definitely fix Vector to prevent other
> such bugs.  I don't think it will fix anything though, but you're welcome to
> try.  Please revert if it doesn't fix.

Believe it or not. It did fix the bots:
https://results.safari.apple.com/?suite=layout-tests&test=http%2Fwpt%2Fwebauthn%2Fpublic-key-credential-create-success-u2f.https.html

I will try to fix the vector issue as well then.
Comment 11 Chris Dumez 2019-09-11 14:15:05 PDT
Comment on attachment 378420 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=378420&action=review

> Source/WebCore/Modules/webauthn/fido/U2fResponseConverter.cpp:102
> +    memset(aaguid.data(), 0, aaguidLength);

Hard to believe this would change anything indeed.